# OlympusCamera API for ruby

OlympusCamera API library for ruby.

APIs auto generated by `http://192.168.0.10/get_commandlist.cgi`

## examples

- [examples](./examples/)
- [olympus-camera-dl](https://github.com/hotchpotch/olympus-camera-dl)
  - [source code](https://github.com/hotchpotch/olympus-camera-dl/blob/master/exe/olympus-camera-dl)

## auto generated API docs

- [auto_generated_docs](./auto_generated_docs/)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'olympus-camera'
```

And then execute:

    bundle install

Or install it yourself as:

    gem install olympus-camera

### Tips: debugging

with [http-dump](https://github.com/hotchpotch/http-dump) gem

```
[1] pry(main)> require 'http-dump'
[2] pry(main)> require 'olympus-camera'
[3] pry(main)> camera = OlympusCamera.new
[4] pry(main)> HTTPDump.enable!
[5] pry(main)> camera.get_[tab]
camera.get_activate        camera.get_gpsdivunit      camera.get_rsvimglist
camera.get_caminfo         camera.get_image           camera.get_screennail
camera.get_camprop         camera.get_imglist         camera.get_thumbnail
camera.get_connectmode     camera.get_movplaytime     camera.get_unusedcapacity
camera.get_dcffilenum      camera.get_resizeimg
[5] pry(main)> camera.get_caminfo()
> GET http://192.168.0.10/get_caminfo.cgi with headers {'Connection'=>'close', 'User-Agent'=>'OlympusCameraKit'}
< 200 OK
< Content-Type: text/xml
< Content-Length: 108
< Connection: close
<
<?xml version="1.0"?>
<caminfo>
<model>PEN-F</model>
<MISOAExpComp>available</MISOAExpComp>
</caminfo>
=> {"model"=>["PEN-F"], "MISOAExpComp"=>["available"]}
```

## Contributing

Pull requests are welcome on GitHub at https://github.com/hotchpotch/olympus-camera.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
